.projects_container {
	max-width: 1200px;
	margin: auto;
	min-height: 60dvh;
}

.projects_container > figure{
	position: fixed;
	right: 175px;
	top: 25%	
}

.projects_container > figure > img{
	width: 250px;
	height: 250px;
	object-fit: cover;
	border-radius: 20px;
}

.topbar {
	display: flex;
	justify-content: space-between;
	align-items: center;
	margin-bottom: 25px;
}

.projects_header{
	width: 100%;
	height: auto;
}

.projects_header h1{
	color: white;
	padding-bottom: 25px;
	padding-top: 50px;
}	

.add-btn {
	background: var(--orange);
	color: white;
	border: none;
	padding: 10px 18px;
	border-radius: 8px;
	cursor: pointer;
	font-size: 14px;
}

.add-btn:hover {
	background: var(--orange-lighter);
}

.projects-grid {
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(260px, 1fr));
	gap: 20px;
}

.card {
	position: relative;
	background: white;
	border-radius: 10px;
	padding: 20px;
	box-shadow: 0 3px 10px rgba(0,0,0,0.05);
	display: flex;
	flex-direction: column;
	justify-content: space-between;
}

.card h3 {
	margin-bottom: 10px;
	color: black;
}

.card p {
	font-size: 14px;
	color: #555;
	margin-bottom: 20px;
}

.actions {
	position: absolute;
	top: 25%;
	right: 5px;
	display: flex;
	flex-direction: column;
	gap: 10px;
}

.actions a{
	font-size: 15px;
	padding-left: 4px;
	padding-top: 2px;
}

.edit {
	width: 25px;
	height: 25px;
	background: white;
	border: 1px solid var(--light-text);
	border-radius: 5px;
}

.delete {
	width: 25px;
	height: 25px;
	background: white;
	border: 1px solid var(--light-text);
	border-radius: 5px;
}

@media screen and (max-width: 600px) {
	.topbar h1 {
		font-size: 22px;
	}

	.add-btn {
		padding: 8px 14px;
		font-size: 13px;
	}

}

/* submit styling projects */
.projects_form_container{
	width: 100%;
	height: auto;
	display: flex;
	flex-direction: column;
	color: white;
}

.project-form {
	max-width: 800px;
	margin: 40px 0;
}

.form-group {
	margin-bottom: 20px;
}

label {
	display: block;
	font-size: 16px;
	margin-bottom: 8px;
	color: #ddd;
}

input[type="text"],
input[type="file"],
textarea {
	width: 100%;
	padding: 12px;
	border-radius: 6px;
	border: 1px solid #2a2f36;
	background-color: #11161c;
	color: #fff;
	font-size: 14px;
	outline: none;
	transition: border 0.2s, box-shadow 0.2s;
}

input[type="file"] {
	padding: 10px;
}

input:focus,
textarea:focus {
	border-color: #f2994a;
	box-shadow: 0 0 0 2px rgba(242, 153, 74, 0.2);
}

textarea {
	min-height: 200px;
	resize: vertical;
}

.submit-btn {
	background-color: #f2994a;
	color: #fff;
	border: none;
	padding: 12px 20px;
	border-radius: 8px;
	font-size: 14px;
	cursor: pointer;
	transition: background 0.2s, transform 0.1s;
}

.submit-btn:hover {
	background-color: #e4883d;
}

.submit-btn:active {
	transform: scale(0.98);
}